Get all teams in your organization
GET/v1/teams
This route allows you to fetch all of the teams in your Port organization.
To learn more about teams, check out the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "array",
"items": {
"enum": [
"id",
"name",
"createdAt",
"updatedAt",
"provider",
"description",
"users.firstName",
"users.lastName",
"users.email",
"users.picture",
"users.status"
]
}
},
"in": "query",
"name": "fields",
"required": false,
"description": "The fields you want to fetch for each team. If used, only the specified fields will be included in the response.",
"style": "form",
"explode": true
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 404
Retrieved successfully.
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"200": {
"description": "Retrieved successfully.",
"content": {
"application/json": {
"schema": {
"description": "Retrieved successfully.",
"type": "object",
"properties": {
"ok": {
"enum": [
true
]
},
"teams": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"provider": {
"type": "string"
},
"description": {
"type": "string"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"picture": {
"type": "string"
},
"status": {
"type": "string"
}
}
}
}
}
}
}
},
"required": [
"teams",
"ok"
],
"additionalProperties": false
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}